Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358731 - SELinux is preventing mpd from 'search' accesses on the directory .config.
Summary: SELinux is preventing mpd from 'search' accesses on the directory .config.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5751507b551e771d87378c01723...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 11:48 UTC by arturpolak1
Modified: 2016-08-15 16:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-15 16:04:32 UTC


Attachments (Terms of Use)

Description arturpolak1 2016-07-21 11:48:07 UTC
Description of problem:
SELinux is preventing mpd from 'search' accesses on the directory .config.

*****  Plugin catchall (100. confidence) suggests   **************************

If aby mpd powinno mieć domyślnie search dostęp do .config directory.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
allow this access for now by executing:
# ausearch -c 'mpd' --raw | audit2allow -M my-mpd
# semodule -X 300 -i my-mpd.pp

Additional Information:
Source Context                system_u:system_r:mpd_t:s0
Target Context                unconfined_u:object_r:config_home_t:s0
Target Objects                .config [ dir ]
Source                        mpd
Source Path                   mpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.5.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.6.3-300.fc24.x86_64 #1 SMP Fri
                              Jun 24 20:52:41 UTC 2016 x86_64 x86_64
Alert Count                   2
First Seen                    2016-07-21 13:42:55 CEST
Last Seen                     2016-07-21 13:43:44 CEST
Local ID                      451d5fca-8462-4f7a-a2bf-54222000d501

Raw Audit Messages
type=AVC msg=audit(1469101424.578:271): avc:  denied  { search } for  pid=23971 comm="mpd" name=".config" dev="dm-0" ino=393234 scontext=system_u:system_r:mpd_t:s0 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=dir permissive=0


Hash: mpd,mpd_t,config_home_t,dir,search

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.1
hashmarkername: setroubleshoot
kernel:         4.6.3-300.fc24.x86_64
reproducible:   Not sure how to reproduce the problem
type:           libreport

Comment 1 arturpolak1 2016-07-22 10:06:10 UTC
Description of problem:
after enabling mpd autostart through systemctl

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.1
hashmarkername: setroubleshoot
kernel:         4.6.4-301.fc24.x86_64
reproducible:   Not sure how to reproduce the problem
type:           libreport

Comment 2 Lukas Vrabec 2016-08-15 16:04:32 UTC
/etc/ should be better place for config files. This daemon comes from rpmfusion. Closing as WONTFIX


Note You need to log in before you can comment on or make changes to this bug.